POST
/api/v2/dashboard/dual-balance/card-funding/previewPOST /api/v2/dashboard/dual-balance/card-funding/preview
Authentication
Send your API key in the x-api-key header on every request.
Request body
application/json
| Field | Type | Required | Description |
|---|---|---|---|
| BalanceId | string | Yes | |
| Amount | unknown | No | |
| CardId | unknown | No |
Responses
200 — OK
| Field | Type | Required | Description |
|---|---|---|---|
| PreviewId | string (uuid) | No | |
| SourceCurrency | string | No | |
| SourceAmount | unknown | No | |
| SourceDebitUsd | unknown | No | |
| CardTopUpFeeUsd | unknown | No | |
| ExpectedNetCardCreditUsd | unknown | No | |
| MinimumUsd | unknown | No | |
| MaximumUsd | unknown | No | |
| ExpiresAt | string (date-time) | No |
Example request
curl -X POST "https://{base_url}/api/v2/dashboard/dual-balance/card-funding/preview" \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"BalanceId":"…"}'This page is generated from the live OpenAPI specification and always matches the current API.